Check Point Advisories

NetBSD tnftp fetch.c fetch_url Command Execution (CVE-2014-8517)

Check Point Reference: CPAI-2014-2202
Date Published: 16 Nov 2014
Severity: High
Last Updated: 16 Nov 2017
Source: NetBSD
Industry Reference:CVE-2014-8517
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? NetBSD Foundation tnftp prior to tnftp-20141031
Vulnerability Description A command execution vulnerability has been reported in NetBSD tnftp. The vulnerability is due to insufficient validation of the ftp output file name when using an HTTP URI to fetch files. A remote, unauthenticated attacker could exploit this vulnerability by enticing a user to open a malicious URI that sends HTTP redirects to ftp file requests. Successful exploitation could lead to arbitrary command execution under the security context of the current user.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the NetBSD tnftp fetch.c fetch_url Command Execution protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  FTP Enforcement Violation.
Attack Information:  NetBSD tnftp fetch.c fetch_url Command Execution

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO